org.jetlang.remote.client

## Class JetlangClientConfig

- java.lang.Object
- - org.jetlang.remote.client.JetlangClientConfig

    public class JetlangClientConfig
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JetlangClientConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeartbeatIntervalInMs()`
`long` `getInitialConnectDelayInMs()`
`long` `getLogoutLatchTimeout()`
`TimeUnit` `getLogoutLatchTimeoutUnit()`
`long` `getReconnectDelayInMs()`
`void` `setHeartbeatIntervalInMs(int ms)`
`void` `setInitialConnectDelayInMs(long initialConnectDelayInMs)`
`void` `setLogoutTimeout(long logoutTimeout)`
`void` `setLogoutTimeoutUnit(TimeUnit logoutTimeoutUnit)`
`void` `setReconnectDelayInMs(long reconnectDelayInMs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JetlangClientConfig

    public JetlangClientConfig()

### Method Detail

#### setHeartbeatIntervalInMs

    public void setHeartbeatIntervalInMs(int ms)

#### getHeartbeatIntervalInMs

    public int getHeartbeatIntervalInMs()

#### getInitialConnectDelayInMs

    public long getInitialConnectDelayInMs()

#### getReconnectDelayInMs

    public long getReconnectDelayInMs()

#### setInitialConnectDelayInMs

    public void setInitialConnectDelayInMs(long initialConnectDelayInMs)

#### setReconnectDelayInMs

    public void setReconnectDelayInMs(long reconnectDelayInMs)

#### getLogoutLatchTimeout

    public long getLogoutLatchTimeout()

#### getLogoutLatchTimeoutUnit

    public TimeUnit getLogoutLatchTimeoutUnit()

#### setLogoutTimeout

    public void setLogoutTimeout(long logoutTimeout)

#### setLogoutTimeoutUnit

    public void setLogoutTimeoutUnit(TimeUnit logoutTimeoutUnit)